## python-gnocchiclient 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.4
cliff>=1.14.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
keystoneauth1>=1.0.0
six
futurist

=== debian/changelog ===
python-gnocchiclient (2.2.0-5+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 20:37:06 +0000

python-gnocchiclient (2.2.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.
  * Switch to openstack docs theme when generating doc.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:10:05 +0200

python-gnocchiclient (2.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * Added python-openstackdocstheme as build-depends.
  * Using OpenStack's Gerrit as VCS URLs.
  * Define SPHINX_HTML_THEME=sphinx_rtd_theme and build-depend on
    python-sphinx-rtd-theme, as otherwise sphinx-build crashes.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 17:52:18 +0200

python-gnocchiclient (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:44:07 +0000

python-gnocchiclient (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ James Page ]
  * d/control: Drop python-gnocchi from BD's, only required for
    functional tests.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:37:49 +0000

python-gnocchiclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Only run tests within gnocchiclient/tests/unit (ie: no functional tests).
  * Fixed debian/watch file to use github tag.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 16:42:41 +0000

python-gnocchiclient (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #806211)

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Nov 2015 13:30:54 +0100

=== debian/control ===
Source: python-gnocchiclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.14.0),
                     python-coverage,
                     python-futurist,
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 1.0.0),
                     python-keystonemiddleware,
                     python-openstackdocstheme,
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-six,
                     python-sphinx-rtd-theme,
                     python-tempest-lib (>= 0.6.1),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-cliff (>= 1.14.0),
                     python3-futurist,
                     python3-keystoneauth1 (>= 1.0.0),
                     python3-keystonemiddleware,
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-six,
                     python3-subunit,
                     python3-tempest-lib (>= 0.6.1),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-gnocchiclient?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-gnocchiclient -b debian/newton
Homepage: http://www.openstack.org/

Package: python-gnocchiclient
Architecture: all
Depends: python-cliff (>= 1.14.0),
         python-futurist,
         python-keystoneauth1 (>= 1.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-six,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-gnocchiclient-doc,
Description: bindings to the OpenStack Gnocchi API - Python 2.7
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 2.7 module.

Package: python3-gnocchiclient
Architecture: all
Depends: python3-cliff (>= 1.14.0),
         python3-futurist,
         python3-keystoneauth1 (>= 1.0.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-gnocchiclient-doc,
Description: bindings to the OpenStack Gnocchi API - Python 3.x
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

Package: python-gnocchiclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: bindings to the OpenStack Gnocchi API - doc
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/gnocchiclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-gnocchiclient 2.5.0

=== debian/changelog ===
python-gnocchiclient (2.5.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Sep 2016 15:49:40 +0000

python-gnocchiclient (2.5.0-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Enable py3 tests.
  * d/p/use-default-spinx-theme.patch: Added because openstack theme not found.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 09:44:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-gnocchiclient
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -13,46 +14,49 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-cliff (>= 1.14.0),
+Build-Depends-Indep: python-cliff (>= 1.16.0),
                      python-coverage,
                      python-futurist,
                      python-hacking (>= 0.10.0),
                      python-keystoneauth1 (>= 1.0.0),
                      python-keystonemiddleware,
                      python-openstackdocstheme,
+                     python-osc-lib (>= 0.3.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-six,
-                     python-sphinx-rtd-theme,
-                     python-tempest-lib (>= 0.6.1),
+                     python-tempest (>= 1:10),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-cliff (>= 1.14.0),
+                     python3-cliff (>= 1.16.0),
                      python3-futurist,
                      python3-keystoneauth1 (>= 1.0.0),
                      python3-keystonemiddleware,
+                     python3-openstackdocstheme,
+                     python3-osc-lib (>= 0.3.0),
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-six,
                      python3-subunit,
-                     python3-tempest-lib (>= 0.6.1),
+                     python3-tempest (>= 1:10),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-gnocchiclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-gnocchiclient -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-gnocchiclient.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-gnocchiclient.git
 Homepage: http://www.openstack.org/
 
 Package: python-gnocchiclient
 Architecture: all
-Depends: python-cliff (>= 1.14.0),
+Depends: python-cliff (>= 1.16.0),
          python-futurist,
          python-keystoneauth1 (>= 1.0.0),
+         python-osc-lib (>= 0.3.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 2.0.0),
          python-pbr (>= 1.8),
@@ -73,9 +77,10 @@
 
 Package: python3-gnocchiclient
 Architecture: all
-Depends: python3-cliff (>= 1.14.0),
+Depends: python3-cliff (>= 1.16.0),
          python3-futurist,
          python3-keystoneauth1 (>= 1.0.0),
+         python3-osc-lib (>= 0.3.0),
          python3-oslo.serialization (>= 1.4.0),
          python3-oslo.utils (>= 2.0.0),
          python3-pbr (>= 1.8),

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-gnocchiclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-gnocchiclient; \
	done
	rm -rf $(CURDIR)/debian/python*-gnocchiclient/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-gnocchiclient/usr/bin/gnocchi $(CURDIR)/debian/python-gnocchiclient/usr/bin/python2-gnocchi
	mv $(CURDIR)/debian/python3-gnocchiclient/usr/bin/gnocchi $(CURDIR)/debian/python3-gnocchiclient/usr/bin/python3-gnocchi

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gnocchiclient\.tests\.unit.*'| tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-gnocchiclient 3.1.0

=== debian/changelog ===
python-gnocchiclient (3.1.0-1) unstable; urgency=medium

  * Fix requirements for this release
  * Fix debian/rules

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue,  19 Dec 2017 11:45:28 +0100

python-gnocchiclient (2.2.0-5) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:06:22 +0100

python-gnocchiclient (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * Added python-openstackdocstheme as build-depends.
  * Using OpenStack's Gerrit as VCS URLs.
  * Define SPHINX_HTML_THEME=sphinx_rtd_theme and build-depend on
    python-sphinx-rtd-theme, as otherwise sphinx-build crashes.

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update debian-branch for Newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Enable py3 tests.
  * d/p/use-default-spinx-theme.patch: Added because openstack theme not found.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 17:52:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-gnocchiclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -18,27 +17,30 @@
                      python-coverage,
                      python-futurist,
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 1.0.0),
+                     python-keystoneauth1 (>= 2.0.0),
                      python-keystonemiddleware,
                      python-openstackdocstheme,
                      python-osc-lib (>= 0.3.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-openstack-doc-tools (>= 1.0.1),
+                     python-oslotest (>= 1:1.10.0),
                      python-six,
+                     python-sphinx-rtd-theme,
                      python-tempest (>= 1:10),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-cliff (>= 1.16.0),
                      python3-futurist,
-                     python3-keystoneauth1 (>= 1.0.0),
+                     python3-openstack-doc-tools (>= 1.0.1),
+                     python3-keystoneauth1 (>= 2.0.0),
                      python3-keystonemiddleware,
                      python3-openstackdocstheme,
                      python3-osc-lib (>= 0.3.0),
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six,
                      python3-subunit,
                      python3-tempest (>= 1:10),
@@ -47,15 +49,15 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-gnocchiclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-gnocchiclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-gnocchiclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-gnocchiclient -b debian/newton
 Homepage: http://www.openstack.org/
 
 Package: python-gnocchiclient
 Architecture: all
 Depends: python-cliff (>= 1.16.0),
          python-futurist,
-         python-keystoneauth1 (>= 1.0.0),
+         python-keystoneauth1 (>= 2.0.0),
          python-osc-lib (>= 0.3.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 2.0.0),
@@ -79,7 +81,7 @@
 Architecture: all
 Depends: python3-cliff (>= 1.16.0),
          python3-futurist,
-         python3-keystoneauth1 (>= 1.0.0),
+         python3-keystoneauth1 (>= 2.0.0),
          python3-osc-lib (>= 0.3.0),
          python3-oslo.serialization (>= 1.4.0),
          python3-oslo.utils (>= 2.0.0),

=== debian/rules ===
--- 
+++ 
@@ -41,13 +41,18 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
+	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
+	export LANG=C.UTF-8 && export LC_ALL=C.UTF-8 && PATH=$$PATH:$(CURDIR)/debian/tmp/usr/bin PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+	rm -rf .testrepository
+	rm -f AUTHORS
+	rm -f ChangeLog
+	rm -f doc/source/gnocchi.rst
 
 # Commands not to run
 override_dh_installcatalogs:

## python-gnocchiclient 3.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.4
cliff>1.16.0 # Apache-2.0
osc-lib>=0.3.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
keystoneauth1>=2.0.0
six
futurist

=== debian/changelog ===
python-gnocchiclient (3.1.1-0ubuntu2~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Mar 2017 17:55:22 +0000

python-gnocchiclient (3.1.1-0ubuntu2) zesty; urgency=medium

  * d/patches/autogen-doc-disable.patch: Fix ftbfs. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Mar 2017 10:35:44 -0500

python-gnocchiclient (3.1.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Add python-openstack-doc-tools as dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Mar 2017 09:13:05 -0500

python-gnocchiclient (2.8.2-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jan 2017 07:37:53 -0500

python-gnocchiclient (2.8.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jan 2017 09:28:50 -0500

python-gnocchiclient (2.8.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * debian/watch: Use tarballs.openstack.org to fetch tarball.
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 09:51:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-gnocchiclient
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -17,54 +18,52 @@
                      python-coverage,
                      python-futurist,
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.0.0),
+                     python-keystoneauth1 (>= 1.0.0),
                      python-keystonemiddleware,
                      python-openstackdocstheme,
                      python-osc-lib (>= 0.3.0),
                      python-oslo.serialization (>= 1.4.0),
                      python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-openstack-doc-tools (>= 1.0.1),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-six,
-                     python-sphinx-rtd-theme,
                      python-tempest (>= 1:10),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-cliff (>= 1.16.0),
                      python3-futurist,
-                     python3-openstack-doc-tools (>= 1.0.1),
-                     python3-keystoneauth1 (>= 2.0.0),
+                     python3-keystoneauth1 (>= 1.0.0),
                      python3-keystonemiddleware,
                      python3-openstackdocstheme,
                      python3-osc-lib (>= 0.3.0),
                      python3-oslo.serialization (>= 1.4.0),
                      python3-oslo.utils (>= 2.0.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-six,
                      python3-subunit,
                      python3-tempest (>= 1:10),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-gnocchiclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-gnocchiclient -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-gnocchiclient
 Architecture: all
 Depends: python-cliff (>= 1.16.0),
          python-futurist,
-         python-keystoneauth1 (>= 2.0.0),
+         python-keystoneauth1 (>= 1.0.0),
          python-osc-lib (>= 0.3.0),
          python-oslo.serialization (>= 1.4.0),
          python-oslo.utils (>= 2.0.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 1.4),
          python-six,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Suggests: python-gnocchiclient-doc,
 Description: bindings to the OpenStack Gnocchi API - Python 2.7
  This is a client for OpenStack gnocchi API. There's a Python API (the
@@ -81,14 +80,14 @@
 Architecture: all
 Depends: python3-cliff (>= 1.16.0),
          python3-futurist,
-         python3-keystoneauth1 (>= 2.0.0),
+         python3-keystoneauth1 (>= 1.0.0),
          python3-osc-lib (>= 0.3.0),
          python3-oslo.serialization (>= 1.4.0),
          python3-oslo.utils (>= 2.0.0),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 1.4),
          python3-six,
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Suggests: python-gnocchiclient-doc,
 Description: bindings to the OpenStack Gnocchi API - Python 3.x
  This is a client for OpenStack gnocchi API. There's a Python API (the
@@ -104,8 +103,7 @@
 Package: python-gnocchiclient-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: bindings to the OpenStack Gnocchi API - doc
  This is a client for OpenStack gnocchi API. There's a Python API (the
  gnocchiclient module), and a command-line script. Each implements the entire

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/python-gnocchiclient/  gnocchiclient-(\d.*)\.tar\.gz

## python-gnocchiclient 3.3.1

=== requirements.txt ===
--- 
+++ 
@@ -4,9 +4,10 @@
 
 pbr>=1.4
 cliff>1.16.0 # Apache-2.0
-osc-lib>=0.3.0 # Apache-2.0
-oslo.serialization>=1.4.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+ujson
 keystoneauth1>=2.0.0
 six
 futurist
+iso8601
+debtcollector
+monotonic

=== debian/changelog ===
python-gnocchiclient (3.3.1-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 24 Aug 2017 15:01:41 +0000

python-gnocchiclient (3.3.1-0ubuntu2) artful; urgency=medium

  * d/p/drop-ujson.patch, d/control, d/pydist-overrides: Drop ujson
    in favor of json as ujson is not in main.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 08:53:54 -0400

python-gnocchiclient (3.3.1-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from github.com/gnocchixyz/python-gnocchiclient.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 13:51:16 -0400

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,15 @@
                python3-setuptools,
 Build-Depends-Indep: python-cliff (>= 1.16.0),
                      python-coverage,
+                     python-debtcollector,
                      python-futurist,
                      python-hacking (>= 0.10.0),
+                     python-iso8601,
                      python-keystoneauth1 (>= 1.0.0),
                      python-keystonemiddleware,
+                     python-monotonic,
                      python-openstackdocstheme,
                      python-osc-lib (>= 0.3.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-six,
@@ -31,13 +32,14 @@
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-cliff (>= 1.16.0),
+                     python3-debtcollector,
                      python3-futurist,
+                     python3-iso8601,
                      python3-keystoneauth1 (>= 1.0.0),
                      python3-keystonemiddleware,
+                     python3-monotonic,
                      python3-openstackdocstheme,
                      python3-osc-lib (>= 0.3.0),
-                     python3-oslo.serialization (>= 1.4.0),
-                     python3-oslo.utils (>= 2.0.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six,
                      python3-subunit,
@@ -55,11 +57,12 @@
 Package: python-gnocchiclient
 Architecture: all
 Depends: python-cliff (>= 1.16.0),
+         python-debtcollector,
          python-futurist,
+         python-iso8601,
          python-keystoneauth1 (>= 1.0.0),
+         python-monotonic,
          python-osc-lib (>= 0.3.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 2.0.0),
          python-pbr (>= 1.4),
          python-six,
          ${misc:Depends},
@@ -79,11 +82,12 @@
 Package: python3-gnocchiclient
 Architecture: all
 Depends: python3-cliff (>= 1.16.0),
+         python3-debtcollector,
          python3-futurist,
+         python3-iso8601,
          python3-keystoneauth1 (>= 1.0.0),
+         python3-monotonic,
          python3-osc-lib (>= 0.3.0),
-         python3-oslo.serialization (>= 1.4.0),
-         python3-oslo.utils (>= 2.0.0),
          python3-pbr (>= 1.4),
          python3-six,
          ${misc:Depends},

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/gnocchixyz/python-gnocchiclient/tags .*/v?(\d\S+)\.tar\.gz

## python-gnocchiclient 7.0.1

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,6 @@
 six
 futurist
 iso8601
+monotonic
+python-dateutil
 debtcollector
-monotonic

=== debian/changelog ===
python-gnocchiclient (7.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-ujson.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 16:03:30 -0500

python-gnocchiclient (6.0.0-0ubuntu3) bionic; urgency=medium

  * d/p/drop-ujson.patch: Refactor for upstream submission.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jan 2018 14:55:28 +0000

python-gnocchiclient (6.0.0-0ubuntu2) bionic; urgency=medium

  * d/p/drop-ujson.patch,d/control: Drop requirement for ujson until
    supportability concerns are resolved.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jan 2018 10:44:37 +0000

python-gnocchiclient (6.0.0-0ubuntu1) bionic; urgency=medium

  * d/watch: Use pypi.debian.net for upstream releases.
  * New upstream release.
  * d/control,d/p/drop-ujson.patch: Switch back to ujson as MIR is now
    in progress for bionic.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/rules: Switch to using pytest for unit tests.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Dec 2017 15:20:13 +0000

=== debian/control ===
Source: python-gnocchiclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
Build-Depends-Indep:
 python-cliff (>= 1.16.0),
 python-coverage,
 python-dateutil,
 python-debtcollector,
 python-fixtures,
 python-futurist,
 python-hacking (>= 0.10.0),
 python-iso8601,
 python-keystoneauth1 (>= 2.0.0),
 python-keystonemiddleware,
 python-monotonic,
 python-openstackclient,
 python-osc-lib (>= 0.3.0),
 python-pytest,
 python-pytest-xdist,
 python-six,
 python-testscenarios,
 python-testtools (>= 1.4.0),
 python3-cliff (>= 1.16.0),
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-futurist,
 python3-iso8601,
 python3-keystoneauth1 (>= 2.0.0),
 python3-keystonemiddleware,
 python3-monotonic,
 python3-openstackclient,
 python3-osc-lib (>= 0.3.0),
 python3-pytest,
 python3-pytest-xdist,
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-gnocchiclient
Architecture: all
Depends:
 python-cliff (>= 1.16.0),
 python-dateutil,
 python-debtcollector,
 python-futurist,
 python-iso8601,
 python-keystoneauth1 (>= 2.0.0),
 python-monotonic,
 python-osc-lib (>= 0.3.0),
 python-pbr (>= 1.8),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-gnocchiclient-doc,
Description: bindings to the OpenStack Gnocchi API - Python 2.7
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 2.7 module.

Package: python-gnocchiclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bindings to the OpenStack Gnocchi API - doc
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the documentation.

Package: python3-gnocchiclient
Architecture: all
Depends:
 python3-cliff (>= 1.16.0),
 python3-dateutil,
 python3-debtcollector,
 python3-futurist,
 python3-iso8601,
 python3-keystoneauth1 (>= 2.0.0),
 python3-monotonic,
 python3-osc-lib (>= 0.3.0),
 python3-pbr (>= 1.8),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-gnocchiclient-doc,
Description: bindings to the OpenStack Gnocchi API - Python 3.x
 This is a client for OpenStack gnocchi API. There's a Python API (the
 gnocchiclient module), and a command-line script. Each implements the entire
 OpenStack Gnocchi API.
 .
 Gnocchi is a service for managing a set of resources and storing metrics about
 them, in a scalable and resilient way. Its functionalities are exposed over an
 HTTP REST API.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -24,35 +24,20 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'gnocchiclient\.tests\.unit.*'| tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	pytest gnocchiclient/tests/unit
+	pytest-3 gnocchiclient/tests/unit
 endif
 
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
-	export LANG=C.UTF-8 && export LC_ALL=C.UTF-8 && PATH=$$PATH:$(CURDIR)/debian/tmp/usr/bin PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
+	sphinx-build -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
-	rm -rf .testrepository
-	rm -f AUTHORS
-	rm -f ChangeLog
-	rm -f doc/source/gnocchi.rst
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/gnocchiclient/gnocchiclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-gnocchiclient 7.0.2

=== debian/changelog ===
python-gnocchiclient (7.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:24:38 +0200

python-gnocchiclient (7.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 for building the doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 00:00:18 +0200

python-gnocchiclient (7.0.1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Add (build-)depends on python3-distutils (Closes: #905356).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Aug 2018 14:14:00 +0000

python-gnocchiclient (7.0.1-4) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:04:15 +0100

python-gnocchiclient (7.0.1-3) unstable; urgency=medium

  * Add do-not-use-numprocesses-pytest-option.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 00:21:45 +0000

python-gnocchiclient (7.0.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:51:26 +0000

python-gnocchiclient (7.0.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release, and using pytest instead of testr.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 08:45:45 +0000

python-gnocchiclient (3.3.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix defining $PATH when building doc.
  * Fixed build-depends version of openstack-doc-tools
  * Fixed missing locales setup when building the sphinx doc (Closes: #880131).
  * Fixed shebang for python3 to be python3, not python3.x.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 19:13:47 +0000

python-gnocchiclient (3.3.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Updated to new upstream git repo.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Added PYTHONPATH=. when generatic sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 18:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,75 +1,76 @@
 Source: python-gnocchiclient
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python-all,
  python-pbr (>= 1.8),
  python-setuptools,
- python-sphinx,
  python3-all,
  python3-pbr (>= 1.8),
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python-cliff (>= 1.16.0),
- python-coverage,
+ python-cliff (>= 2.10.0),
  python-dateutil,
  python-debtcollector,
- python-fixtures,
+ python-fixtures <!nocheck>,
  python-futurist,
  python-hacking (>= 0.10.0),
  python-iso8601,
  python-keystoneauth1 (>= 2.0.0),
- python-keystonemiddleware,
+ python-keystonemiddleware <!nocheck>,
  python-monotonic,
  python-openstackclient,
  python-osc-lib (>= 0.3.0),
- python-pytest,
- python-pytest-xdist,
+ python-pytest <!nocheck>,
+ python-pytest-xdist <!nocheck>,
  python-six,
- python-testscenarios,
- python-testtools (>= 1.4.0),
- python3-cliff (>= 1.16.0),
+ python-testscenarios <!nocheck>,
+ python-testtools <!nocheck>,
+ python-ujson,
+ python3-cliff (>= 2.10.0),
  python3-dateutil,
  python3-debtcollector,
- python3-fixtures,
+ python3-distutils,
+ python3-fixtures <!nocheck>,
  python3-futurist,
  python3-iso8601,
  python3-keystoneauth1 (>= 2.0.0),
- python3-keystonemiddleware,
+ python3-keystonemiddleware <!nocheck>,
  python3-monotonic,
  python3-openstackclient,
  python3-osc-lib (>= 0.3.0),
- python3-pytest,
- python3-pytest-xdist,
+ python3-pytest <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-six,
- python3-testscenarios,
- python3-testtools (>= 1.4.0),
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-gnocchiclient
-Homepage: http://www.openstack.org/
-Testsuite: autopkgtest-pkg-python
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-testscenarios <!nocheck>,
+ python3-testtools <!nocheck>,
+ python3-ujson,
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-gnocchiclient.git
+Homepage: https://github.com/gnocchixyz/python-gnocchiclient
 
 Package: python-gnocchiclient
 Architecture: all
 Depends:
- python-cliff (>= 1.16.0),
+ python-cliff (>= 2.10.0),
  python-dateutil,
  python-debtcollector,
  python-futurist,
  python-iso8601,
  python-keystoneauth1 (>= 2.0.0),
  python-monotonic,
- python-osc-lib (>= 0.3.0),
  python-pbr (>= 1.8),
  python-six,
+ python-ujson,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -105,16 +106,17 @@
 Package: python3-gnocchiclient
 Architecture: all
 Depends:
- python3-cliff (>= 1.16.0),
+ python3-cliff (>= 2.10.0),
  python3-dateutil,
  python3-debtcollector,
+ python3-distutils,
  python3-futurist,
  python3-iso8601,
  python3-keystoneauth1 (>= 2.0.0),
  python3-monotonic,
- python3-osc-lib (>= 0.3.0),
  python3-pbr (>= 1.8),
  python3-six,
+ python3-ujson,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT=https://github.com/gnocchixyz/python-gnocchiclient.git
include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYTHON=python$$i PYTHONPATH=. python$$i -m pytest gnocchiclient/tests/unit ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	if ! export LANG=C.UTF-8 && export LC_ALL=C.UTF-8 && PATH=$$PATH:$(CURDIR)/debian/bin PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3 -m sphinx -b html doc/source debian/python-gnocchiclient-doc/usr/share/doc/python-gnocchiclient-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
